/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.multi.factor.authentication.checker.visitor;

import com.liferay.multi.factor.authentication.checker.MFAChecker;
import com.liferay.multi.factor.authentication.checker.composite.MandatoryCompositeMFAChecker;
import com.liferay.multi.factor.authentication.checker.composite.OptionalCompositeMFAChecker;

/**
 * @author Carlos Sierra Andrés
 */
public interface MFACheckerVisitor<T> {

	public T visit(MandatoryCompositeMFAChecker mandatoryCompositeMFAChecker);

	public T visit(MFAChecker mfaChecker);

	public T visit(OptionalCompositeMFAChecker optionalCompositeMFAChecker);

}